Summary: 	A library for network interface configuration with DHCP
Name: 		libdhcp
Version: 	1.1
Release: 	1a
License: 	GPL
Group: 		Development/Libraries
URL: 		http://people.redhat.com/~jvdias/libdhcp-1.0.tar.gz
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	libdhcp4client, libdhcp6client, libnl
BuildRequires:  libdhcp4client-devel, libdhcp6client-devel, libnl-devel, pkgconfig

%description
libdhcp enables programs to invoke and control the
Dynamic Host Configuration Protocol (DHCP) clients:
the Internet Software Consortium (ISC) IPv4 DHCP 
client library, libdhcp4client, and the IPv6 DHCPv6
client library, libdhcp6client, and provides 
Network Interface Configuration (NIC) services for 
network parameter autoconfiguration with DHCP.

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
export CFLAGS="$RPM_OPT_FLAGS $CFLAGS"
make %{?_smp_mflags}

%install
%makeinstall pkgcfgdir=$RPM_BUILD_ROOT/usr/lib/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so
%{_includedir}/libdhcp
/usr/lib/pkgconfig/libdhcp.pc
%doc README LICENSE

%changelog
* Sun May 14 2006 Jason Vas Dias <jvdias@redhat.com> - 1.0-1 
- Initial build.
